%define api 0.10
%define major 2
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Summary:        C++ wrapper for GStreamer library
Name:           gstreamermm
Version:        0.10.10.2
Release:        %mkrel 1
Group:          Sound
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glibmm2.4-devel >= 2.16.0
BuildRequires: gtkmm2.4-devel >= 2.12.0
BuildRequires: libxml++-devel >= 2.14.0
BuildRequires: doxygen graphviz
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2


%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org).  It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:        C++ wrapper for GStreamer library
Group:          System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org).  It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides: lib%name-devel = %version-%release


%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%prep
%setup -q

%build
%configure2_5x --enable-shared --disable-dependency-tracking

%make


%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %libname
%defattr(-, root, root, -)
%doc AUTHORS NEWS README
%{_libdir}/libgstreamermm-%api.so.%{major}*
%{_libdir}/libgstreamermm_get_plugin_defs-%api.so.%{major}*


%files -n %develname
%defattr(-, root, root, -)
%doc ChangeLog
%doc %{_docdir}/%{name}-0.10
%{_datadir}/devhelp
%{_includedir}/gstreamermm-%api
%{_libdir}/*.so
%_libdir/%name-%api
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Aug 08 2013 Texstar <texstar at gmail.com> 0.10.10.2-1pclos2013
- 0.10.11

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 0.10.9.1-1pclos2011
- 0.10.9.1

* Sun Apr 17 2011 Texstar <texstar at gmail.com> 0.10.9-1pclos2011
- 0.10.9

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.10.8-1pclos2010
- 0.10.8

* Fri May 07 2010 Texstar <texstar at gmail.com> 0.10.7-2pclos2010
- rebuild

* Tue Apr 13 2010 slick50 <lxgator at gmail.com> 0.10.7-1pclos2010
- 0.10.7

* Mon Dec 28 2009 slick50 <lxgator at gmail.com> 0.10.6-1pclos2009
- 0.10.6

* Wed Oct 21 2009 Texstar <texstar at gmail.com> 0.10.5-2plcos2010
- update and rebuild

* Fri Sep 04 2009 slick50 <lxgator at gmail.com> 0.10.5-1pclos2009
- 0.10.5

* Fri Aug 21 2009 slick50 <lxgator at gmail.com> 0.10.2-1pclos2009
- import gstreamermm
